ID:

CVE-2018-15750 (NVD)

- Vulnerability Info (edit)
2018-10-24

Directory Traversal vulnerability in salt-api in SaltStack Salt before 2017.7.8 and 2018.3.x before 2018.3.3 allows remote attackers to determine which files exist on the server.

Products Salt
Type Improper Limitation of a Pathname to a Restricted Directory ('Path Traversal') (CWE-22)
First patch - None (likely due to unavailable code)
Links https://docs.saltstack.com/en/latest/topics/releases/2018.3.3.html
https://groups.google.com/d/msg/salt-users/dimVF7rpphY/jn3Xv3MbBQAJ
https://docs.saltstack.com/en/2017.7/topics/releases/2017.7.8.html
https://groups.google.com/d/msg/salt-users/L9xqcJ0UXxs/qgDj42obBQAJ
Annotation

Note:

No patch was assigned yet.